<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fjhx.sale.mapper.serviceContract.ServiceContractProductMapper">
    <select id="getPage" resultType="com.fjhx.sale.entity.serviceContract.vo.ServiceContractProductVo">
        select
            scp.id,
            scp.service_contract_id,
            scp.product_id,
            scp.product_name,
            scp.product_model,
            scp.quantity,
            scp.price,
            scp.amount,
            scp.remark,
            scp.create_user,
            scp.create_time,
            scp.update_user,
            scp.update_time
        from service_contract_product scp
            ${ew.customSqlSegment}
    </select>

</mapper>
